<?php
if ( ! is_admin() ) { add_action( 'wp_print_scripts', 'woothemes_add_javascript' ); }

if ( ! function_exists( 'woothemes_add_javascript' ) ) {
	function woothemes_add_javascript() {
		wp_enqueue_script( 'jquery' ); 
		wp_enqueue_script( 'modernizr', esc_url( get_template_directory_uri() . '/includes/js/libs/modernizr-2.0.6.min.js' ) ); 
		
		wp_register_script( 'prettyPhoto', esc_url( get_template_directory_uri() . '/includes/js/jquery.prettyPhoto.js' ), array( 'jquery' ) );
		wp_register_script( 'enable-lightbox', esc_url( get_template_directory_uri() . '/includes/js/enable-lightbox.js' ), array( 'jquery', 'prettyPhoto' ) );

		wp_enqueue_script( 'plugins', esc_url( get_template_directory_uri() . '/includes/js/plugins.js' ), array( 'jquery' ), '1.0', true );
		wp_enqueue_script( 'script', esc_url( get_template_directory_uri() . '/includes/js/script.js' ), array( 'jquery' ), '1.0', true );
		
		// Enqueue flex slider on the business template
		if ( is_page_template('template-business.php') || is_active_widget( false, false, 'WooDojo_Widget_Testmonials' ) ) {
			wp_enqueue_script( 'flexslider', get_template_directory_uri() . '/includes/js/jquery.flexslider.min.js', array( 'jquery' ), '1.0', true );
		}
		
		do_action( 'woothemes_add_javascript' );
	} // End woothemes_add_javascript()
}


if ( ! is_admin() ) { add_action( 'wp_print_styles', 'woothemes_add_css' ); }

if ( ! function_exists( 'woothemes_add_css' ) ) {
	function woothemes_add_css () {
		wp_register_style( 'prettyPhoto', esc_url( get_template_directory_uri() . '/includes/css/prettyPhoto.css' ) );
	
		do_action( 'woothemes_add_css' );
	} // End woothemes_add_css()
}

add_action( 'wp_head', 'woo_fire_scripts' );

function woo_fire_scripts() {
	if ( is_page_template('template-business.php') || is_active_widget( false, false, 'WooDojo_Widget_Testmonials' ) ) {
		?>
			<script>
				jQuery(window).load(function() {
					jQuery('.testimonials').flexslider({
						selector: ".testimonials-list > .quote",
						animation: "fade",
						pauseOnHover: true,
						controlNav: false,
						directionNav: true,
						slideshow: true,
						slideshowSpeed: 7000,
						randomize: true,
				    });
				});
			</script>
		<?php
	}
}

?>